using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 车/导游地接预订费用表
    /// </summary>
    [SugarTable("Grp_CarTouristGuideGroundReservations")]
    public class Grp_CarTouristGuideGroundReservations : EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }

        /// <summary>
        /// 地接地区
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Area { get; set; }

        /// <summary>
        /// 服务公司
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string ServiceCompany { get; set; }

        /// <summary>
        /// 服务导游
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string ServiceGuide { get; set; }

        /// <summary>
        /// 导游地接联系电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string ServiceTel { get; set; }

        /// <summary>
        /// Bus名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string BusName { get; set; }

        /// <summary>
        /// Bus描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string BusDescription { get; set; }

        /// <summary>
        /// 车公司联系电话
        /// </summary>
        /// 
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string BusTel { get; set; }

        /// <summary>
        /// 服务时间起
        /// </summary>
        /// 
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string ServiceStartTime { get; set; }
        /// <summary>
        /// 服务时间止
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string ServiceEndTime { get; set; }
        /// <summary>
        /// 服务描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ServiceDescription { get; set; }
        /// <summary>
        /// 服务报价
        /// </summary>
        /// 
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal ServiceQuotedPrice { get; set; }
        /// <summary>
        /// 币种（设置数据外键编号）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CId { get; set; }
        /// <summary>
        /// 报价说明
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string QuotedPriceExplanation { get; set; }
        /// <summary>
        /// 公转私转标识
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OrbitalPrivateTransfer{get;set; }
    }
}
